首页新闻找找看学习计划

element-react使用遇到的问题

0
悬赏园豆:100 [待解决问题]

在element-react的过程中遇到以下错误

Failed to compile.

./node_modules/element-react/dist/npm/es5/libs/animate/index.js
Module not found: Can't resolve 'react-hot-loader' in 'F:\my-web\react-
elementui\node_modules\element-react\dist\npm\es5\libs\animate'

在这之前已经安装好相关的主题和依赖包,通过命令在项目中安装,不过安装的文件夹名node_modules和项目的node_modules名字有冲突,并且两个文件夹也是灰色

不知道是不是文件夹冲突的问题还是其它,希望大佬们给个好心建议或者方法

彼如星辰瀚海的主页 彼如星辰瀚海 | 初学一级 | 园豆:102
提问于:2019-04-12 10:15
< >
分享
所有回答(1)
0

从错误提示看,是读错文件夹了,你把项目文件夹改个名字试试,不要占用依赖包的名字

三人乐乐 | 园豆:3195 (老鸟四级) | 2019-04-12 10:24

嗯,谢谢,问题找出来了,是因为没有给文件夹完整的管理员权限,导致漏掉了些模块没有下载

支持(0) 反对(0) 彼如星辰瀚海 | 园豆:102 (初学一级) | 2019-04-12 15:54
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册